"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../ui/index.js");
const grid = require("./src/grid.js");
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const VxeGrid = Object.assign({}, grid.default, {
  install(app) {
    app.component(grid.default.name, grid.default);
  }
});
if (index_esm.VxeUI.dynamicApp) {
  index_esm.VxeUI.dynamicApp.component(grid.default.name, grid.default);
}
index_esm.VxeUI.component(grid.default);
exports.VxeGrid = VxeGrid;
exports.default = VxeGrid;
